Crystal Space: csPixelFormat Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPixelFormat Struct Reference
[2D]

Structure describing the pixel format. More...

`#include <ivideo/graph2d.h>`

List of all members.

## Public Member Functions
void | complete ()
| Little helper function to complete a csPixelFormat structure given that the masks are correctly filled in.
## Public Attributes
int | AlphaBits
uint32 | AlphaMask
int | AlphaShift
int | BlueBits
uint32 | BlueMask
int | BlueShift
int | GreenBits
uint32 | GreenMask
int | GreenShift
int | PalEntries
| Number of palette entries.
int | PixelBytes
| Number of bytes for every pixel.
int | RedBits
| The number of significant bits for every color.
uint32 | RedMask
| The masks to extract the color information from a pixel (truecolor mode only).
int | RedShift
| The shifts to extract the color information from a pixel (truecolor mode only).

## Detailed Description

Structure describing the pixel format.

Definition at line 70 of file graph2d.h.

## Member Function Documentation

void csPixelFormat::complete | ( |  | ) | `[inline]`

Little helper function to complete a csPixelFormat structure given that the masks are correctly filled in.

Definition at line 107 of file graph2d.h.

## Member Data Documentation

int csPixelFormat::PalEntries

Number of palette entries.

0 for truecolor, else the number of palette entries (this number should be equal to 256 even if not all of these 256 colors can be modified (like is the case in Windows)). Currently only 0 and 256 are supported here.

Definition at line 92 of file graph2d.h.

int csPixelFormat::PixelBytes

Number of bytes for every pixel.

The only supported values currently are:

- 1: for palette mode (256 palette entries)
- 2: for truecolor 15/16-bit mode (no palette entries)
- 4: for truecolor 32-bit mode (no palette entries)

Definition at line 101 of file graph2d.h.

int csPixelFormat::RedBits

The number of significant bits for every color.

Definition at line 84 of file graph2d.h.

uint32 csPixelFormat::RedMask

The masks to extract the color information from a pixel (truecolor mode only).

Ignore the Mask and Shift fields of this structure if PalEntries != 0.

Definition at line 77 of file graph2d.h.

Referenced by csPixMixerRGBA< Tpixel >::csPixMixerRGBA().

int csPixelFormat::RedShift

The shifts to extract the color information from a pixel (truecolor mode only).

Definition at line 82 of file graph2d.h.

The documentation for this struct was generated from the following file:

- ivideo/graph2d.h